## debian-edu 2.12.10

=== debian/changelog ===
debian-edu (2.12.10) unstable; urgency=medium

  * d/control: updated after running 'make dist', bringing back libnss-ldapd
    and nslcd.
  * d/copyright: update my copyright years.

 -- Holger Levsen <holger@debian.org>  Wed, 07 Sep 2022 14:07:34 +0200

debian-edu (2.12.9) unstable; urgency=medium

  * tasks/development: replace anjuta with gnome-builder. Closes: #1018869.
    Thanks Simon McVittie.
  * tasks/desktop-other: drop xsane as there has been no upstream development
    since 2014.
  * debian/control:
    - update after running 'make dist', moving openboard, nslcd, libnss-ldapd,
      audacity and scribus suggests, as they have been removed from testing.

 -- Holger Levsen <holger@debian.org>  Thu, 01 Sep 2022 12:42:05 +0200

debian-edu (2.12.8) unstable; urgency=medium

  * tasks/desktop-other: drop kernel-package. Closes: #1014396.
  * debian/control.stub: bump standards version to 4.6.1 too, sigh.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jul 2022 14:57:33 +0200

debian-edu (2.12.7) unstable; urgency=medium

  * debian/control:
    - update after running 'make dist', moving gosa-desktop to suggests, as
      gosa is currently not available in bookworm, see #1003694.
    - bump standards version to 4.6.1.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 12:52:48 +0200

debian-edu (2.12.6) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/control.stub: Add debhelper to Build-Depends.

  [ Mike Gabriel ]
  * tasks/common: Switch from valgrind to valgrind-if-available, as suggested
    by Adam Borowski on debian-devel ML in
    https://lists.debian.org/debian-devel/2022/02/msg00258.html

  [ Holger Levsen ]
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Tue, 22 Feb 2022 01:24:54 +0100

debian-edu (2.12.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task/common: Drop hddtemp, thanks to Aurelien Jarno. (Closes: #1001939)
    (The package was now removed from both unstable and testing.)
  * debian/control: Update after running 'make dist'.

  [ lintian-brush ]
  * Add missing build dependency on dh addon.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Dec 2021 18:07:02 +0100

debian-edu (2.12.4) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task/main-server: Lower Depends on ntp to Recommends to avoid conflicting
    packages (see autopkgtest). Replacing systemd-timesyncd with ntp will be
    done via Cfengine.

 -- Holger Levsen <holger@debian.org>  Wed, 03 Nov 2021 10:02:59 +0100

debian-edu (2.12.3) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * task/main-server: Raise Recommends on ntp to Depends. This is needed to
    force systemd-timesyncd (pulled in by systemd) to be replaced with ntp.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Nov 2021 14:25:11 +0100

debian-edu (2.12.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/copyright:
    - Cleanup from files (debian-edu-menus.listing, menus/is-enabled) that have
      been removed some time ago (version 2.11.6), thanks lintian.
    - Adjust years for Holger and myself.
  * tasks/*: Remove 'Section' field (duplicate field, inherited from
    control.stub), thanks lintian.
  * Adjust Makefile and debian/rules to fix lintian-issues:
    - avoid informational warning about duplicate Section: field.
    - drop unknown field 'XS-Comment' (pulled in from control.stub) to avoid
      warning, but keep it as valuable information in the control.stub file.
    - use dh sequencer in debian/rules to avoid informational warning.
  * debian/source/lintian-overrides: Remove now obsolete file.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sun, 17 Oct 2021 14:09:23 +0200

debian-edu (2.12.1) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 2.12.1 as Debian 12 (bookworm) is targeted.
  * Add sources.list.bookworm, drop sources.list.buster.
  * Adjust the sources.list.UNRELEASED symlink (bullseye -> bookworm).
  * Ajust debian/{README.source, copyright} to match the changes.
  * tasks/desktop-kde: Replace sddm-theme-elarun with sddm-theme-debian elarun
    to let the SDDM login background respect the desktop-base settings.
  * tasks/common:
    Drop transitional package mlocate, thanks to Paul Wise. (Closes: #992741)
  * debian/control.stub: Bump standards version to 4.6.0, no changes needed.
  * debian/control: Update after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Sat, 04 Sep 2021 01:16:09 +0200

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-edu
Section: metapackages
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Wolfgang Schweer <wschweer@arcor.de>,
 Dominik George <nik@naturalnet.de>
Build-Depends: debhelper-compat (= 13), blends-dev, debhelper
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu.git
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
Homepage: https://blends.debian.org/edu

Package: education-tasks
Section: misc
Architecture: any
Multi-Arch: same
Depends: tasksel,
 ${misc:Depends}
Description: Debian Edu tasks for tasksel
 This package provides Debian Edu tasks in tasksel.
 .
 Debian Edu is a Debian Pure Blend, an overview of available
 metapackages and their dependencies/recommendations/suggestions
 is provided at https://blends.debian.org/edu/tasks/

Package: education-menus
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Debian Edu menu reorganization
 A package to reorganize menu branches in order to get a structure
 easy to use for teachers and students.

Package: education-astronomy
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: education-menus,
            gpredict,
            kstars,
            openuniverse,
            stellarium,
            xplanet,
            xplanet-images
Suggests: astronomical-almanac,
          lightspeed,
          sunclock,
          xtide,
          xtide-data
Description: Debian Edu astronomy related applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: education-chemistry
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: avogadro,
            chemtool,
            easychem,
            education-menus,
            gchempaint,
            gdis,
            gperiodic,
            kalzium,
            pymol
Suggests: rasmol
Description: Debian Edu chemistry related applications
 This metapackage depends on various applications that can be used to
 teach chemistry.

Package: education-common
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: bc,
            cifs-utils,
            command-not-found,
            convmv,
            debconf-utils,
            debian-edu-config,
            debian-edu-doc-en,
            debian-edu-doc-legacy-en,
            debian-edu-install,
            deborphan,
            dhcping,
            dmidecode,
            etherwake,
            ethtool,
            finger,
            fping,
            gdebi-core | gdebi,
            htop,
            hwinfo,
            iftop,
            iotop,
            iproute2,
            iputils-arping | arping,
            less,
            libnss-myhostname,
            libpam-tmpdir,
            libwww-perl,
            lshw,
            lsscsi,
            mc,
            memtest86+,
            mtools,
            mtr-tiny | mtr,
            ncftp,
            nmap,
            nullidentd | ident-server,
            openbsd-inetd,
            pciutils,
            plocate,
            procinfo,
            procmail,
            psmisc,
            resolvconf,
            rsync,
            rsyslog,
            screen,
            smartmontools,
            strace,
            sysfsutils,
            tcpdump,
            tcptraceroute,
            vim
Suggests: apticron | cron-apt,
          cpqarrayd,
          debian-goodies,
          debsecan,
          dpt-i2o-raidutils | raidutils,
          emacs,
          gdb,
          isag,
          kexec-tools,
          mpt-status,
          nvram-wakeup,
          popularity-contest,
          rsyslog-doc,
          valgrind-if-available,
          wireshark
Description: Debian Edu common basic packages
 A metapackage containing dependencies for packages required on all
 installations in the Debian Edu Blend.

Package: education-desktop-cinnamon
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            kdeedu,
            lightdm,
            mtpaint,
            osmo,
            task-cinnamon-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu Cinnamon desktop applications
 This metapackage depends on various Cinnanon components and desktop
 applications that are useful for teachers and their students.

Package: education-desktop-gnome
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            kdeedu,
            task-gnome-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu GNOME desktop applications
 This metapackage depends on various GNOME office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-kde
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            kdeedu,
            kdegraphics-thumbnailers,
            kdeutils,
            kio-audiocd,
            sddm-theme-debian-elarun,
            task-kde-desktop
Suggests: education-development,
          education-primaryschool,
          education-video,
          kde-full,
          kde-zeroconf,
          kruler
Description: Debian Edu KDE desktop applications
 This metapackage depends on various KDE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-lxde
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: blueman,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            hexchat,
            kdeedu,
            mtpaint,
            network-manager-gnome,
            osmo,
            pidgin,
            ssh-askpass,
            task-lxde-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXDE desktop applications
 This metapackage depends on various LXDE components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-lxqt
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: blueman,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            fotoxx,
            galculator,
            kdeedu,
            lightdm,
            mtpaint,
            osmo,
            pidgin,
            task-lxqt-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu LXQt desktop applications
 This metapackage depends on various LXQt components and lightweight
 desktop applications that are useful for teachers and their students.

Package: education-desktop-mate
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: arctica-greeter,
            arctica-greeter-theme-debian,
            dasher,
            education-astronomy,
            education-chemistry,
            education-common,
            education-electronics,
            education-geography,
            education-graphics,
            education-language,
            education-logic-games,
            education-mathematics,
            education-misc,
            education-music,
            education-physics,
            gnome-accessibility-themes,
            kdeedu,
            mate-desktop-environment-extras,
            onboard,
            task-mate-desktop
Suggests: education-development,
          education-primaryschool,
          education-video
Description: Debian Edu MATE desktop applications
 This metapackage depends on various MATE office and desktop applications
 that are useful for teachers and their students.

Package: education-desktop-other
Architecture: any
Depends: ${misc:Depends},
         education-tasks (= ${binary:Version})
Recommends: cheese,
            chromium,
            chromium-l10n,
            firefox-esr,
            fonts-linex,
            freerdp2-x11 | rdesktop,
            gimp,
            gimp-data-extras,
            inkscape,
            ocrad,
            openclipart,
            openclipart-libreoffice,
            plymouth,
            plymouth-themes,
            sane-utils,
            standardskriver,
            thunderbird,
            vokoscreen-ng,
            webext-ublock-origin-chromium,
            webext-ublock-origin-firefox
Suggests: auctex,
          avahi-discover,
          brasero | k3b,
          dia,
          fet,
          fonts-arphic-uming,
          fonts-mlym,
          gettext,
          gnuplot,
          gosa-desktop,
          gv,
          im-config,
          jxplorer,
          katomic,
          kbattleship,
          kblackbox,
          kbounce,
          kgoldrunner,
          kig,
          kjumpingcube,
          klickety,
          kmahjongg,
          kmines,
          kolf,
          konquest,
          kpat,
          krb5-auth-dialog,
          kreversi,
          kshisen,
          kspaceduel,
          kvpm,
          lacheck,
          libncurses5-dev,
          lyx,
          mdns-scan,
          monopd,
          ncftp,
          netpbm,
          openboard,
          postgresql,
          postgresql-client,
          pppoeconf,
          rsibreak | workrave,
          scim-chewing,
          scim-tables-zh,
          smbclient,
          sql-ledger,
          tablix2,
          texlive,
          texlive-latex-base,
          texlive-latex-base-doc,
          texlive-latex-recommended,
          texlive-latex-recommended-doc,
          texworks,
          vlc,
          vlc-plugin-bittorent,
          wine
Description: Debian Edu common desktop applications

## debian-edu 2.12.11

=== debian/changelog ===
debian-edu (2.12.11) unstable; urgency=medium

  * tasks/main-server: recommend debian-installer-12-netboot-* and not *11*
    anymore.
  * d/control:
    - bump standards version to 4.6.2, no changes needed.
    - updated after running 'make dist', bringing back audacity, scribus and
      openboard, and taking away openuniverse.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Dec 2022 21:36:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 13), blends-dev, debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu.git
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu
@@ -44,12 +44,12 @@
 Recommends: education-menus,
             gpredict,
             kstars,
-            openuniverse,
             stellarium,
             xplanet,
             xplanet-images
 Suggests: astronomical-almanac,
           lightspeed,
+          openuniverse,
           sunclock,
           xtide,
           xtide-data
@@ -347,6 +347,7 @@
             gimp-data-extras,
             inkscape,
             ocrad,
+            openboard,
             openclipart,
             openclipart-libreoffice,
             plymouth,
@@ -395,7 +396,6 @@
           monopd,
           ncftp,
           netpbm,
-          openboard,
           postgresql,
           postgresql-client,
           pppoeconf,

## debian-edu 2.12.12

=== debian/changelog ===
debian-edu (2.12.12) unstable; urgency=medium

  * tasks/main-server:
    - follow the package renaming and do s#gosa-plugin-#gosa-plugins-#g.
    - recommend gosa-plugins-systems instead of gosa-plugins-(dhcp|dns).
    - stop recommending gosa-plugins-samba as (since bullseye) samba account
      data is not stored in LDAP anymore.
    - add xxd due to vim-common dropped the dependency, see#1007887.
  * tasks/desktop-other: suggest libncurses-dev instead of libncurses5-dev
    because the latter has become a transitional package.
  * d/control: updated after running 'make dist', bringing back most gosa*
    packages and openuniverse.
  * d/copyright: bump my copyright years.

 -- Holger Levsen <holger@debian.org>  Fri, 27 Jan 2023 12:49:45 +0100

=== debian/control ===
--- 
+++ 
@@ -44,12 +44,12 @@
 Recommends: education-menus,
             gpredict,
             kstars,
+            openuniverse,
             stellarium,
             xplanet,
             xplanet-images
 Suggests: astronomical-almanac,
           lightspeed,
-          openuniverse,
           sunclock,
           xtide,
           xtide-data
@@ -390,7 +390,7 @@
           kspaceduel,
           kvpm,
           lacheck,
-          libncurses5-dev,
+          libncurses-dev,
           lyx,
           mdns-scan,
           monopd,

## debian-edu 2.12.13

=== debian/changelog ===
debian-edu (2.12.13) unstable; urgency=medium

  [ Mike Gabriel ]
  * tasks/development: Add to R: crystal-facet-uml.

  [ Holger Levsen ]
  * d/control: updated after running 'make dist', bringing back
    gosa-plugins-(netgroups|pwreset|sudo|sudo-schema).

 -- Holger Levsen <holger@debian.org>  Sun, 29 Jan 2023 10:03:32 +0100

## debian-edu 2.12.14

=== debian/changelog ===
debian-edu (2.12.14) unstable; urgency=medium

  * tasks/mainserver:
    - recommend gosa-plugins-mailaddress.
    - stop recommending gosa-plugins-goto, as the functionality will be
      merged into gosa-plugins-systems.
    - sort gosa recommends alphabetically.
  * d/control: updated after running 'make dist'.

 -- Holger Levsen <holger@debian.org>  Wed, 01 Feb 2023 13:23:27 +0100

## debian-edu 2.12.15

=== debian/changelog ===
debian-edu (2.12.15) unstable; urgency=medium

  * d/control: updated after running 'make dist', bringing back graphmonkey.

 -- Holger Levsen <holger@debian.org>  Mon, 06 Feb 2023 10:12:02 +0100

## debian-edu 2.12.16

=== debian/changelog ===
debian-edu (2.12.16) unstable; urgency=medium

  * Team upload
  * tasks/desktop-other: replace freerdp2-x11 with freerdp3-sdl
    (Closes: #1081529)
  * roaming-workstation: remove Recommends: network-manager-gnome
    (Closes: #1086825)
  * development: recommend idle instead of idle3 (Closes: #1082738)
  * Remove anki, deborphan,  gbrainy, graphmonkey, gtans, gtick, lightspeed
    since they were removed from Debian
  * Remove cups-pdf since most file choosers already provide this feature
  * main-server: Use debian-installer-13-netboot-amd64 instead of 12
  * main-server: Remove netboot-i386
  * Automatically demote packages to Suggests that are not currently in Testing:
    - arduino
    - denemo
    - gchempaint
    - gdisk
    - gosa*
    - oregano
    - scratch
    - squeak-vm

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 14:35:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
  Holger Levsen <holger@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
- Wolfgang Schweer <wschweer@arcor.de>,
  Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 13), blends-dev, debhelper
 Standards-Version: 4.6.2
@@ -49,7 +48,6 @@
             xplanet,
             xplanet-images
 Suggests: astronomical-almanac,
-          lightspeed,
           sunclock,
           xtide,
           xtide-data
@@ -65,12 +63,12 @@
             chemtool,
             easychem,
             education-menus,
-            gchempaint,
-            gdis,
             gperiodic,
             kalzium,
             pymol
-Suggests: rasmol
+Suggests: gchempaint,
+          gdis,
+          rasmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
  teach chemistry.
@@ -88,7 +86,6 @@
             debian-edu-doc-en,
             debian-edu-doc-legacy-en,
             debian-edu-install,
-            deborphan,
             dhcping,
             dmidecode,
             etherwake,
@@ -342,7 +339,7 @@
             chromium-l10n,
             firefox-esr,
             fonts-linex,
-            freerdp2-x11 | rdesktop,
+            freerdp3-sdl | rdesktop,
             gimp,
             gimp-data-extras,
             inkscape,
@@ -415,3 +412,6 @@
           vlc-plugin-bittorent,
           wine
 Description: Debian Edu common desktop applications
+ This metapackage depends on various office and desktop applications
+ that are useful for teachers and their students.
+

## debian-edu 2.12.17

=== debian/changelog ===
debian-edu (2.12.17) unstable; urgency=medium

  * Remove myself from uploaders as discussed during FOSDEM. It was a pleasure
    and an honor!

 -- Holger Levsen <holger@debian.org>  Sun, 06 Apr 2025 09:24:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
- Holger Levsen <holger@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Dominik George <nik@naturalnet.de>
 Build-Depends: debhelper-compat (= 13), blends-dev, debhelper
@@ -415,3 +414,5 @@
  This metapackage depends on various office and desktop applications
  that are useful for teachers and their students.
 
+Package: education-desktop-xfce
+Architecture: any

## debian-edu 2.13.0

=== debian/changelog ===
debian-edu (2.13.0) unstable; urgency=medium

  * tasks/main-server: As timeserver, use ntpsec instead of old ntp.
  * d/control: Update file via 'make dist' applying the following changes:
      Workstations:
      - Move arduino back to Recommends: field.
      - Move denemo back to Recommends: field.
      Main server:
      - Move gosa* back to Recommends: field.
      - Switch from ntpsec instead of ntp in Recommends: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jun 2025 16:46:03 +0200

## debian-edu 2.13.2

=== debian/changelog ===
debian-edu (2.13.2) unstable; urgency=medium

  * debian/control:
    + Update file via 'make dist' applying the following changes:
      Workstations:
      - lxde: Replace network-manager-gnome by network-manager-applet.
      - lxqt: Add network-manager-applet.
      Main server:
      - Add icinga2-ido-mysql (previously installed via cfengine3 during
        main-server post-installation scripts)
      (This should have gone into previous upload, but I forgot).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jun 2025 22:12:18 +0200

debian-edu (2.13.1) unstable; urgency=medium

  * tasks/desktop-lxqt:
    - Add network-manager-applet. In Debian Edu, we use nm-applet in LxQt, not
      connman.
  * tasks/desktop-lxde:
    - Replace network-manager-gnome (transitional package) with network-manager-
      applet.
  * tasks/main-server:
    - Add icinga2-ido-mysql. In Debian 12, this was pulled in via the cfengine3
      post-install cf.icinga script. In Debian 13, we need to install this
      before cfengin3 scripts are run.
  * sources.list.trixie:
    - Add file. Assure that packages targetting trixie are honoured by Debian
      Pure Blends scripts.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jun 2025 22:09:26 +0200

=== debian/control ===
--- 
+++ 
@@ -254,7 +254,7 @@
             hexchat,
             kdeedu,
             mtpaint,
-            network-manager-gnome,
+            network-manager-applet,
             osmo,
             pidgin,
             ssh-askpass,
@@ -288,6 +288,7 @@
             kdeedu,
             lightdm,
             mtpaint,
+            network-manager-applet,
             osmo,
             pidgin,
             task-lxqt-desktop
@@ -414,5 +415,3 @@
  This metapackage depends on various office and desktop applications
  that are useful for teachers and their students.
 
-Package: education-desktop-xfce
-Architecture: any

## debian-edu 2.13.3~exp1

=== debian/changelog ===
debian-edu (2.13.3~exp1) experimental; urgency=medium

  * tasks/desktop-lomiri:
    - Add Lomiri Operating Environment to Debian Edu.
    - debian-edu-tasks.desc: Update file. Add education-desktop-lomiri task.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Update file via 'make dist' (for trixie) applying the following changes:
      Workstations:
      - lomiri: Add Lomiri as a Debian Edu desktop environment.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jun 2025 22:25:23 +0200

## debian-edu 2.13.3

=== Makefile ===
#!/usr/bin/make -f

TASKSELOPTS = -u
GENCONTROL_DEPENDS = true

include /usr/share/blends-dev/Makefile

# override target from /usr/share/blends-dev/Makefile
# this is a workaround for two missing features in blends-dev (we should probably file wishlist bugs)
# a.) depends on arch:any packages should refer binary version to allow binNMUs (see #910498)
# b.) remove empty trailing line in debian/control to avoid pedantic lintian warning
# c.) avoid informational lintian warning about duplicate Section field
# d.) drop unknown field XS-Comment to avoid lintian warning
dist:
	        rm -f $(BLEND)-tasks.desc debian/control
	        make -f debian/rules get-orig-source
		sed -i 's#source:Version#binary:Version#' debian/control
		perl -i -pe "chomp if eof" debian/control
		sed -i '/Section: metapackages/d' debian/control
		sed -i '/Source/a Section: metapackages' debian/control
		sed -i '/XS-Comment/d' debian/control

=== debian/changelog ===
debian-edu (2.13.3) unstable; urgency=medium

  * tasks/desktop-lomiri:
    - Add Lomiri Operating Environment to Debian Edu.
    - debian-edu-tasks.desc: Update file. Add education-desktop-lomiri task.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Update file via 'make dist' (for trixie) applying the following changes:
      Workstations:
      - lomiri: Add Lomiri as a Debian Edu desktop environment.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jun 2025 22:25:23 +0200

=== debian/control ===
--- 
+++ 
@@ -233,6 +233,17 @@
  This metapackage depends on various KDE office and desktop applications
  that are useful for teachers and their students.
 
+Package: education-desktop-lomiri
+Architecture: any
+Depends: ${misc:Depends},
+         education-tasks (= ${binary:Version})
+Recommends: education-common,
+            lomiri
+Description: Debian Edu Lomiri for Tablets
+ This metapackage installs the Lomiri Operating Environment in a software
+ composition suitable for tablets as they may be useful for teachers and
+ their students.
+
 Package: education-desktop-lxde
 Architecture: any
 Depends: ${misc:Depends},
@@ -403,15 +414,3 @@
           sql-ledger,
           tablix2,
           texlive,
-          texlive-latex-base,
-          texlive-latex-base-doc,
-          texlive-latex-recommended,
-          texlive-latex-recommended-doc,
-          texworks,
-          vlc,
-          vlc-plugin-bittorent,
-          wine
-Description: Debian Edu common desktop applications
- This metapackage depends on various office and desktop applications
- that are useful for teachers and their students.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules

%:
	dh $@
# workaround to fix #953359
override_dh_install:
	$(BLEND_INSTALL_HELPER)
	dh_install -a $(BLENDNAME)-tasks.desc usr/share/tasksel/descs
	dh_install

## debian-edu 2.13.4

=== debian/changelog ===
debian-edu (2.13.4) unstable; urgency=medium

  * Team upload
  * tasks/desktop-other:
    - Remove Recommends: cheese

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 21:06:11 -0400

=== debian/control ===
--- 
+++ 
@@ -345,8 +345,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          education-tasks (= ${binary:Version})
-Recommends: cheese,
-            chromium,
+Recommends: chromium,
             chromium-l10n,
             firefox-esr,
             fonts-linex,
@@ -414,3 +413,4 @@
           sql-ledger,
           tablix2,
           texlive,
+          texlive-latex-base,

=== debian/tests/control ===
Tests: test-tasksel-desktop
Depends: debian-edu-install, education-common
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Minimal debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Main-Server debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Standalone DESKTOP=gnome debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Roaming-Workstation DESKTOP=kde debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=LTSP-Server DESKTOP=mate debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=lxde debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=xfce debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

Test-Command: PROFILE=Workstation DESKTOP=lxqt debian/tests/test-metapkgs
Depends: debian-edu-install, education-common, how-can-i-help
Restrictions: needs-root allow-stderr breaks-testbed

## debian-edu 2.13.5

=== debian/changelog ===
debian-edu (2.13.5) unstable; urgency=medium

  * Team upload

  [ Frans Spiesschaert ]
  * Replace qlandkartegt with its successor qmapshack
  * Remove googleearth-package because it is non-dfsg-free and qgis is able
    to visualize KML too (Closes: #1118081)
  * Replace non available kino with flowblade, another non-linear video editor
    (Closes: #1118082)

  [ Jeremy Bícha ]
  * desktop-mate: remove gnome-accessibility-themes
  * Remove fotoxx, gdis, oregano since they were removed from Debian
  * Refresh debian/control

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Nov 2025 17:30:10 -0500

=== debian/control ===
--- 
+++ 
@@ -66,7 +66,6 @@
             kalzium,
             pymol
 Suggests: gchempaint,
-          gdis,
           rasmol
 Description: Debian Edu chemistry related applications
  This metapackage depends on various applications that can be used to
@@ -162,7 +161,6 @@
             education-misc,
             education-music,
             education-physics,
-            fotoxx,
             kdeedu,
             lightdm,
             mtpaint,
@@ -261,7 +259,6 @@
             education-misc,
             education-music,
             education-physics,
-            fotoxx,
             hexchat,
             kdeedu,
             mtpaint,
@@ -294,7 +291,6 @@
             education-misc,
             education-music,
             education-physics,
-            fotoxx,
             galculator,
             kdeedu,
             lightdm,
@@ -329,7 +325,6 @@
             education-misc,
             education-music,
             education-physics,
-            gnome-accessibility-themes,
             kdeedu,
             mate-desktop-environment-extras,
             onboard,
@@ -414,3 +409,7 @@
           tablix2,
           texlive,
           texlive-latex-base,
+          texlive-latex-base-doc,
+          texlive-latex-recommended,
+          texlive-latex-recommended-doc,
+          texworks,
